image: ruby:2.4.1

services:
  - postgres:latest

variables:
  # Configure PostGreSQL environment variables (https://hub.docker.com/_/postgres/)
  POSTGRES_USER: resource_cataloguer
  POSTGRES_PASSWORD: resource_cataloguer
  POSTGRES_DB: resource_cataloguer_test

before_script:
  - cp config/database-ci.yml config/database.yml
  - ruby -v
  - which ruby
  - gem install bundler --no-ri --no-rdoc
  - bundle check || bundle install
  - RAILS_ENV=test bundle exec rake db:create
  - RAILS_ENV=test bundle exec rake db:migrate

rspec:
  script:
    - bundle exec rspec
